#
# spec file for package perl-App-MFILE-WWW
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-MFILE-WWW
Version:        0.152
Release:        1.1
%define cpan_name App-MFILE-WWW
Summary:        Web UI development toolkit with prototype demo app
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-MFILE-WWW/
Source0:        http://www.cpan.org/authors/id/S/SM/SMITHFARM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::CELL) >= 0.194
BuildRequires:  perl(App::MFILE) >= 0.17
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Log::Any::Adapter)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Validate) >= 1.06
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Middleware::Session)
BuildRequires:  perl(Plack::Middleware::StackTrace)
BuildRequires:  perl(Plack::Middleware::Static)
BuildRequires:  perl(Plack::Runner)
BuildRequires:  perl(Plack::Session)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::JSON)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Web::Machine) >= 0.15
Requires:       perl(App::CELL) >= 0.194
Requires:       perl(App::MFILE) >= 0.17
Requires:       perl(File::ShareDir)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Log::Any::Adapter)
Requires:       perl(Params::Validate) >= 1.06
Requires:       perl(Plack::Builder)
Requires:       perl(Plack::Middleware::Session)
Requires:       perl(Plack::Middleware::StackTrace)
Requires:       perl(Plack::Middleware::Static)
Requires:       perl(Plack::Runner)
Requires:       perl(Plack::Session)
Requires:       perl(Try::Tiny)
Requires:       perl(Web::Machine) >= 0.15
%{perl_requires}

%description
This distro contains a foundation/framework/toolkit for developing the
"front end" portion of web applications.

App::MFILE::WWW is a Plack application that provides a HTTP
request-response handler (based on Web::Machine), CSS and HTML source code
for an in-browser "screen", and JavaScript code for displaying various
"widgets" (menus, forms, etc.) in that screen and for processing user input
from within those widgets.

In addition, infrastructure is included (but need not be used) for user
authentication, session management, and communication with a backend server
via AJAX calls.

Front ends built with App::MFILE::WWW will typicaly be menu-driven,
consisting exclusively of fixed-width Unicode text, and capable of being
controlled from the keyboard, without the use of a mouse. The overall
look-and-feel is reminiscent of the text terminal era.

The distro comes with a prototype (demo) application to illustrate how the
various widgets are used.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING LICENSE README.rst share

%changelog
* Thu Nov 10 2016 coolo@suse.com
- updated to 0.152
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
  0.152 2016-11-05 21:18 CET
  - core: prevent miniMenu entries from being undefined in start.js
  - core: library function for displaying error messages
  - core: improve display of empty table/rowselect in html.js
  - core: display drowselect navigation only if rows > 1
* Sat Nov  5 2016 coolo@suse.com
- updated to 0.151
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
  0.150 2016-11-03 19:22 CET
  - Resource.pm: expose REST server URI to JavaScript side
  - Resource.pm: export foreign site params only if defined
  - js demo: dtable return to demoSubmenu instead of demoMenu
  - js demo: implement a proper hook for dbrowser demo
  - html.js: do not concatenate undefined entries
  - html.js: use text prop to determine max length
  - html.js: implement and use getObjStr()
  - start.js: simplify dtable start/listen code
  - Implement a drowselect target (widget)
  - demo: plumb in the new "drowselect" widget
  - demo: implement proper dtable, drowselect hooks
  - html.js: initial HTML for drowselect widget
  - start.js: add drowselect start and listen functions
  - html.js: put spans around table/rowselect rows
  - core: implement drowselect reverse video, arrow-key navigation
  - html.js: remove potential code duplication (dtable/drowselect)
  0.151 2016-11-04 22:02 CET
  - demo: storage and accessors for dbrowser data set
  - demo: move rowselect demo to submenu
  - demo: enable editing in dbrowser/drowselect demos
  - core: refactor to eliminate code duplication (and fix a bug)
* Fri Sep 30 2016 coolo@suse.com
- updated to 0.149
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
  0.146 2016-09-28 18:58 CEST
  - Remove dbrowser "itemHook", bad idea
  - js: export dbrowserListen and dbrowserState in start.js
  - _load_config: make sitedir take priority
  - build/ops: set OBS_PROJECT to Application:Dochazka
  0.147 2016-09-28 22:58 CEST
  - dtable boilerplate
  - dtable: everything except table rendering
  - js: fix ACL profile property name in entry definitions
  - build/ops: fix session management
  - js: rename charsNeeded() to maxLength() and generalize
  - dtable: finalize initial feature implementation
  0.148 2016-09-29 00:43 CEST
  - html.js: handle null entries prop in miniMenu()
  - js: take headings into account when calculating column widths
  - js: grammatically correct "Displaying table" message
  - js: add readableDate() function to core lib
  0.149 2016-09-29 01:09 CEST
  - html.js: restore proper padding in dform
  - js: make readableDate() take full "YYYY-MM-DD HH:DD:SS+TZ"
* Tue Sep 27 2016 ncutler@suse.com
- updated to 0.145
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
* Mon Sep 19 2016 ncutler@suse.com
- updated to 0.143
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
* Thu Sep 15 2016 ncutler@suse.com
- updated to 0.142
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
* Mon Sep 12 2016 ncutler@suse.com
- updated to 0.141
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
* Mon Sep  5 2016 ncutler@suse.com
- updated to 0.139
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
- dropped deprecated files from %%doc in spec file
* Sun Sep  4 2016 ncutler@suse.com
- Fix _service file
* Sun Sep  4 2016 ncutler@suse.com
- updated to 0.138
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
* Sun Sep  4 2016 ncutler@suse.com
- Add _service file to automate version update in spec file
* Fri Sep  2 2016 tampakrap@opensuse.org
- updated to 0.137
  see /usr/share/doc/packages/perl-App-MFILE-WWW/Changes
* Tue Oct 14 2014 ncutler@suse.com
- Update to 0.136
* Mon Oct 13 2014 ncutler@suse.com
- Update to 0.131
* Mon Oct 13 2014 ncutler@suse.com
- Update to 0.130
* Mon Oct 13 2014 ncutler@suse.com
- Update to 0.129
* Fri Oct 10 2014 ncutler@suse.com
- Update to 0.121
* Fri Oct 10 2014 ncutler@suse.com
- Update to 0.120
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.115
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.114
* Wed Sep 24 2014 ncutler@suse.com
- Update to 0.113
* Fri Sep 19 2014 ncutler@suse.com
- Update to 0.105
* Thu Sep 18 2014 ncutler@suse.com
- Update to 0.103
* Thu Sep 18 2014 ncutler@suse.com
- Update to 0.102
* Thu Sep 18 2014 ncutler@suse.com
- Update to 0.101
* Fri Sep 12 2014 ncutler@suse.com
- Update to 0.095
* Fri Sep 12 2014 ncutler@suse.com
- updated to 0.094, add Getopt::Long dependency
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.092
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.091
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.090
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.089
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.088, fix dependencies, capitalize summary
* Thu Sep 11 2014 ncutler@suse.com
- Update to 0.087
* Wed Sep 10 2014 ncutler@suse.com
- Update to 0.080
* Wed Sep 10 2014 ncutler@suse.com
- Update to 0.079
* Wed Sep 10 2014 ncutler@suse.com
- initial package 0.079
  * created by cpanspec 1.78.08
